Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa.pathfinder
Class DAAPathFinder

    java.lang.Object
      net.sourceforge.pmd.dfa.pathfinder.DAAPathFinder

public class DAAPathFinder
extends java.lang.Object

Author:
  raik

  Finds all paths of a data flow. Each loop will be 0 or 2 times traversed -> 2 paths. This is special to the data flow anomaly analysis.

Constructor Summary
`DAAPathFinder(IDataFlowNode rootNode, Executable shim)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAAPathFinder

    public DAAPathFinder(IDataFlowNode rootNode,
                         Executable shim)

Method Detail

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.